#!/usr/bin/perl
use strict;
use warnings;

use Test::More tests => 9;
use Data::Dump qw(dump);

use lib 'lib';

use_ok 'APKPM::Store';

ok my $o = APKPM::Store->new, 'new';

ok my $r = $o->insert('job',{
_table => 'ping',
ip => '127.0.0.1',
username => 'nobody',
rtt => 0.042,
}), 'ping';
diag dump($r);

ok my $r = $o->sql('job', "select username,rtt from ping limit 2"), 'sql';
diag dump($r);

ok my $r = $o->sql('job', "select xx from fake"), 'sql with error';
ok exists $r->{error}, 'error';
diag dump($r);

ok my $r = $o->sql('job', "select * from cpe_Davolink limit 1"), 'cpe_Davolink';
ok( $r->{hash_col}, 'hash_col' );
isa_ok $r->{rows}->[0]->[ $r->{hash_col} ], 'HASH', 'hstore column';
diag dump $r;

